﻿using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware;
using SecretLabs.NETMF.Hardware.NetduinoPlus;


namespace NetduinoPot
{
    public class Program
    {
        public static void Main()
        { // http://msdn.microsoft.com/en-us/library/microsoft.spot.hardware.analoginput(v=vs.102).aspx
           var led = new OutputPort(Pins.ONBOARD_LED, false);

            // Le potentiomètre est connecté à l'entrée I0 du shield Tinkerkit (CAN 12 bits)
           var Pot = new AnalogInput(Cpu.AnalogChannel.ANALOG_0);

            while (true)
            {
                var N = Pot.ReadRaw() / 4; // Résultat sur 10 bits
                Debug.Print(N.ToString());
                led.Write(true);
                Thread.Sleep(N);
                led.Write(false);
                Thread.Sleep(N);
            }
        }
    }
}
